Update a pick list
curl --request PATCH \
--url https://clarus-api.com/api/goods_out_pick_lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}
'import requests
url = "https://clarus-api.com/api/goods_out_pick_lists/{id}"
payload = { "data": {
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'goods_out_pick_lists',
attributes: {
reference: '<string>',
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
}
}
})
};
fetch('https://clarus-api.com/api/goods_out_pick_lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"warehouse_id": 123,
"goods_out_ids": [
123
],
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Goods Out: Pick Lists
Update a pick list
Update an existing pick list’s attributes such as its reference.
PATCH
/
api
/
goods_out_pick_lists
/
{id}
Update a pick list
curl --request PATCH \
--url https://clarus-api.com/api/goods_out_pick_lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}
'import requests
url = "https://clarus-api.com/api/goods_out_pick_lists/{id}"
payload = { "data": {
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'goods_out_pick_lists',
attributes: {
reference: '<string>',
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
}
}
})
};
fetch('https://clarus-api.com/api/goods_out_pick_lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "goods_out_pick_lists",
"attributes": {
"reference": "<string>",
"warehouse_id": 123,
"goods_out_ids": [
123
],
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"data": {
"type": "goods_out_pick_lists",
"attributes": {
"reference": "PL-2024-001-REV"
}
}
}
Key Fields
| Field | Required | Description |
|---|---|---|
reference | No | Updated pick list reference |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the pick list to update
Body
application/json
Show child attributes
Show child attributes
Response
Pick list updated successfully
Show child attributes
Show child attributes
⌘I

